%define		_class		RDF
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.2.0
Release:	%mkrel 7
Summary:	Port of the core RAP API
License:	LGPL
Group:		Development/PHP
URL:		http://pear.php.net/package/RDF
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:  php-pear  >= 1.4.7
Requires:	php-pear >= 1.4.0b1
BuildArch:	noarch

%description
This package is a port of the core components of the RDF API for PHP (aka
RAP):
http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/RDF.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/RDF.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/RDF
fi

%files
%doc docs/RDF/*
%{peardir}/*
%{xmldir}/RDF.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-7.mga8
+ Revision: 1499159
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-6.mga7
+ Revision: 1273778
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-5.mga6
+ Revision: 940733
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 750064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 687447
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 528250
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.2.0-1.mga4
+ Revision: 443948
- upgrade to version 0.2.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-0.alpha1.3.mga3
+ Revision: 377222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.0-0.alpha1.2.mga1
+ Revision: 44134
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-RDF


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.alpha1.2mdv2011.0
+ Revision: 613762
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-0.alpha1.1mdv2010.1
+ Revision: 467960
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-0.alpha1.1mdv2010.0
+ Revision: 448598
- import php-pear-RDF


* Thu Sep 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-0.alpha1.1mdv2010.0
- first mdv release
